stan::VectorView< std::vector< T >, true, false > Class Template Reference

`#include <VectorView.hpp>`

## Public Types

typedef scalar_type< T >::type | scalar_t

## Public Member Functions

template<typename X >
| VectorView (X &x)
scalar_t & | operator[] (int i)

## Detailed Description

### template<typename T>
class stan::VectorView< std::vector< T >, true, false >

Definition at line 10 of file VectorView.hpp.

## Member Typedef Documentation

## scalar_t

template<typename T >

typedef scalar_type<T>::type stan::VectorView< std::vector< T >, true, false >::scalar_t

Definition at line 12 of file VectorView.hpp.

## Constructor & Destructor Documentation

## VectorView()

template<typename T >
template<typename X >

stan::VectorView< std::vector< T >, true, false >::VectorView | ( | X & | x | ) |

inline explicit

Definition at line 15 of file VectorView.hpp.

## Member Function Documentation

## operator[]()

template<typename T >

scalar_t& stan::VectorView< std::vector< T >, true, false >::operator[] | ( | int | i | ) |

inline

Definition at line 17 of file VectorView.hpp.

The documentation for this class was generated from the following file:

- stan/math/prim/arr/meta/VectorView.hpp

[ Stan Home Page ] © 2011–2016, Stan Development Team.